Summary: Powerful and simple to use screenshot software
Name: flameshot
Version: 12.1.0
Release: 2%{?dist}
License: GPL-3.0-or-later AND Apache-2.0 AND GPL-2.0-only AND LGPL-3.0-or-later AND (LGPL-3.0-only OR GPL-3.0-only) AND LAL-1.3
URL: https://github.com/flameshot-org/%{name}
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: cmake(KF5GuiAddons), cmake(Qt5Concurrent), cmake(Qt5Core), cmake(Qt5DBus), cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Gui), cmake(Qt5LinguistTools), cmake(Qt5Multimedia), cmake(Qt5Network), cmake(Qt5Svg)
BuildRequires: cmake, gcc, gcc-c++, ninja-build
BuildRequires: desktop-file-utils
BuildRequires: fdupes
BuildRequires: libappstream-glib, qtsingleapplication-qt5-devel
Requires: hicolor-icon-theme
Requires: qt5-qtsvg
# for screenshot on wayland
Recommends: xdg-desktop-portal
Recommends: (xdg-desktop-portal-gnome if gnome-shell)
Recommends: (xdg-desktop-portal-kde if plasma-workspace-wayland)
Recommends: (xdg-desktop-portal-wlr if wlroots)
Provides: bundled(qt-color-widgets) = 2.2.0



%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.



%prep
%autosetup -p1
rm -rf external/{QHotkey,singleapplication}



%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DUSE_WAYLAND_CLIPBOARD:BOOL=ON \
    -DUSE_EXTERNAL_SINGLEAPPLICATION:BOOL=ON \
    -DUSE_LAUNCHER_ABSOLUTE_PATH:BOOL=OFF
%cmake_build



%install
%cmake_install
%find_lang Internationalization --with-qt
%fdupes %{buildroot}%{_datadir}/icons



%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop



%files -f Internationalization.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/bash-completion/completions
%dir %{_datadir}/fish/vendor_completions.d
%dir %{_datadir}/zsh/site-functions
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/*.metainfo.xml
%{_mandir}/man1/%{name}.1*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.1.0-2
- Rebuilt for loongarch release

* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 12.1.0-1
- initial